# Class LinkColMap.ColDef<C>

java.lang.Object
uk.ac.starlink.vo.datalink.LinkColMap.ColDef<C>

Enclosing class:
  `LinkColMap`

public static class LinkColMap.ColDef<C> extends Object
Utility class that encapsulates the characteristics of a given column from the DataLink standard.

Since:
  22 Nov 2017
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`Class<C>`
`getContentClass()`
Returns the required content class for the column.
`String`
`getName()`
Returns the column's name.
`String`
`getUcd()`
Returns the column's UCD.
`boolean`
`isRequired()`
Indicates whether this column is required to be present in a links response table.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getName

public String getName()
Returns the column's name.

Returns:
  name

### getUcd

public String getUcd()
Returns the column's UCD.

Returns:
  ucd, may be null

### isRequired

public boolean isRequired()
Indicates whether this column is required to be present in a links response table.

Returns:
  true for required columns, false for optional

### getContentClass

public Class<C> getContentClass()
Returns the required content class for the column.

Returns:
  class